# Be sure to compile with --threads:on
# You can do this, by create a "<program>.nims" file next
# to "<program>.nim", that contains "--threads:on".
import wNim, os
import ooSound

var
    bStart: bool = false
    bClick: bool = false
    iCount: int = 0
    iVolume: int = 1000

let sndClick = sound()
sndClick.open(r"sound\tok.mp3")
sndClick.setVolume(iVolume)

let app = App()
let frame = Frame(title="Test", size=(400, 300))
let panel = Panel(frame)
let idLabel = StaticText(panel, label= $iCount, pos=(10, 10), size=(380, 20))
let idButton = Button(panel, label="Start/Stop", pos=(10, 50), size=(100, 25))
idButton.wEvent_Button do ():
  bStart = not bStart
  bClick = true
  # sndClick.play()
  # sleep(130)

proc MyMainLoop() =
  while true:
    sleep(10)
    {.gcsafe.}:
      if bClick:
        bClick = false
        sndClick.play()
        sleep(130)
      if bStart == true:
          iCount += 1
          idLabel.label = $iCount

var thMainLoop: Thread[void]
createThread(thMainLoop, MyMainLoop) # starte einen extra Thread mit MyMainLoop

frame.center()
frame.show()
app.mainLoop()
